Loading...
Searching...
No Matches
ENetAddress Struct Reference

Portable internet address structure. More...

`#include <enet.h>`

## Data Fields

enet_uint32 | host
enet_uint16 | port

## Detailed Description

Portable internet address structure.

The host must be specified in network byte-order, and the port must be in host byte-order. The constant ENET_HOST_ANY may be used to specify the default server host. The constant ENET_HOST_BROADCAST may be used to specify the broadcast address (255.255.255.255). This makes sense for enet_host_connect, but not for enet_host_create. Once a server responds to a broadcast, the address is updated from ENET_HOST_BROADCAST to the server's actual IP address.

## Field Documentation

## host

enet_uint32 ENetAddress::host

## port

enet_uint16 ENetAddress::port

The documentation for this struct was generated from the following file:

- include/enet/enet.h